ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

o

org.bdgenomics.adam.projections

# TranscriptEffectField 

###

#### object TranscriptEffectField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TranscriptEffectField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def SchemaValue: SchemaVal
   Attributes
     protected
   Definition Classes
     FieldEnumeration
5.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  val alternateAllele: SchemaVal
10.  val alternateCodingSequence: SchemaVal
11.  val alternateProteinSequence: SchemaVal
12.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
13.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
14.  val biotype: SchemaVal
15.  val cdnaLength: SchemaVal
16.  val cdnaPosition: SchemaVal
17.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
18.  val codingSequenceLength: SchemaVal
19.  val codingSequencePosition: SchemaVal
20.  val distance: SchemaVal
21.  val effects: SchemaVal
22.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
24.  val featureId: SchemaVal
25.  val featureType: SchemaVal
26.  val geneId: SchemaVal
27.  val geneName: SchemaVal
28.  val genomicHgvs: SchemaVal
29.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
31.  val impact: SchemaVal
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  final def maxId: Int
    Definition Classes
      Enumeration
34.  val messages: SchemaVal
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
37.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
40.  val proteinHgvs: SchemaVal
41.  val proteinLength: SchemaVal
42.  val proteinPosition: SchemaVal
43.  val rank: SchemaVal
44.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
45.  val recordSchema: Schema
    Definition Classes
      FieldEnumeration
46.  val referenceCodingSequence: SchemaVal
47.  val referenceProteinSequence: SchemaVal
48.  val strand: SchemaVal
49.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
50.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
51.  val total: SchemaVal
52.  val transcriptHgvs: SchemaVal
53.  def values: ValueSet
    Definition Classes
      Enumeration
54.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
55.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
56.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
57.  final def withName(s: String): Value
    Definition Classes
      Enumeration

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped